%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-logging-tools
Version:          2.0.1
Release:          %mkrel 1
Group:            Development/Java
Summary:          JBoss Logging I18n Annotation Processor
# Not available license file https://issues.jboss.org/browse/LOGTOOL-107
# ./annotations/src/main/java/org/jboss/logging/annotations/*.java: Apache (v2.0)
License:          ASL 2.0 and LGPLv2+
URL:              https://github.com/jboss-logging/jboss-logging-tools
Source0:          https://github.com/jboss-logging/jboss-logging-tools/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.maven.surefire:surefire-testng)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.jdeparser:jdeparser)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires:    mvn(org.testng:testng)


%description
This pacakge contains JBoss Logging I18n Annotation Processor

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-logging-tools-%{namedversion}

%pom_disable_module processor-tests

%build
# @ random java.lang.ArrayIndexOutOfBoundsException: 0
%mvn_build -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%files javadoc -f .mfiles-javadoc




%changelog
* Sun May 21 2017 neoclust <neoclust> 2.0.1-1.mga6
+ Revision: 1103955
- New version2.0.1

* Wed Mar 02 2016 neoclust <neoclust> 1.2.0-0.3.Beta1.2.mga6
+ Revision: 982543
- Second rebuild of the java stack

* Fri Feb 26 2016 neoclust <neoclust> 1.2.0-0.3.Beta1.1.mga6
+ Revision: 979526
- sync package jboss-logging-tools with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-0.1.Beta1.4.mga5
+ Revision: 750762
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.2.0-0.1.Beta1.2.mga4
+ Revision: 541212
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 1.2.0-0.1.Beta1.1.mga4
+ Revision: 495306
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-4.mga3
+ Revision: 355072
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 1.0.0-3.mga3
+ Revision: 331816
- Java Stack Mass Rebuild

* Sun Feb 19 2012 gil <gil> 1.0.0-2.mga3
+ Revision: 210914
- update to 1.0.0.Final
- imported package jboss-logging-tools

  + dmorgan <dmorgan>
    - Fix Buildrequires
    - Clean spec file


* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging